#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	Compress
%define		pnam	LZO
Summary:	Compress::LZO Perl module - interface to LZO compression library
Summary(pl.UTF-8):	Moduł Perla Compress::LZO - interfejs do biblioteki kompresji LZO
Name:		perl-Compress-LZO
Version:	1.09
Release:	6
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Compress/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f37acc996444e23ac385ef38190afa74
URL:		https://metacpan.org/dist/Compress-LZO
BuildRequires:	lzo-devel >= 2.0
BuildRequires:	perl-Devel-CheckLib >= 0.9
%{?with_tests:BuildRequires:	perl-Test-Simple >= 0.94}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LZO is a portable lossless data compression library written in ANSI C.
It offers pretty fast compression and very fast decompression.
Decompression requires no memory. perl-LZO provides LZO bindings for
Perl - i.e. you can access the LZO library from your Perl scripts
thereby compressing ordinary Perl strings.

%description -l pl.UTF-8
LZO jest przenośną biblioteką do bezstratnej kompresji danych,
napisaną w ANSI C. Oferuje szybką kompresję i bardzo szybką, nie
wymagającą pamięci, dekompresję. perl-LZO udostępnia interfejs dla
Perla - pozwalający na dostęp do biblioteki LZO ze skryptów perlowych,
do kompresji zwykłych łańcuchów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Compress/LZO.pm
%dir %{perl_vendorarch}/auto/Compress/LZO
%{perl_vendorarch}/auto/Compress/LZO/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Compress/LZO/LZO.so
%{_mandir}/man3/Compress::LZO.3pm*
%changelog
* Mon Aug 22 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Compress-LZO.git;a=log;h=master

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 77aec55
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 0feed37
- rebuild with perl 5.34.0

* Sun Jun 27 2021 Jakub Bogusz <qboosh@pld-linux.org> d6731ad
- updated URL and macros

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 6056eb4
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> d8a88dc
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 4a8d5ec
- rebuild with perl 5.30.0
- release 3 (by relup.sh)

* Mon Aug 27 2018 Marcin Krol <hawk@tld-linux.org> 93a95ad
- release 2

* Fri Jul 07 2017 Jakub Bogusz <qboosh@pld-linux.org> 5a79bb6
- updated to 1.09
- removed obsolete lzo2 patch

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 9a944ae
- perl req/prov fix
- release 18 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> a80fd65
- rebuild with perl 5.26
- release 17 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 91c96ca
- rebuild with perl 5.24.0
- release 16 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> b1e702c
- release 15 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 4f32f93
- x32 rebuild
- release 14 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> e765bc3
- release 13 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> bf1dd3d
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 738286a
- rebuild for perl 5.20
- release 12 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> e5b176d
- rebuild with perl 5.18.0
- release 11 (by relup.sh)

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> 4e6a6f2
- rel 10

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> bda1a40
- release 9

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e597452
- release 8

